<?php
namespace Planejamento\Logic;

use Geral\Util\Ambiente;
use Geral\Util\DateUtil;
use Planejamento\Entities\Setoprodcard;
use Setforms2\Shared\Registry;

class Atualiza
{
    public static function deletaSetorProd($nrorg, $filial, $sequencia){
        /** @var $registro Setoprodcard */
        $registro = SetoProdCard::getObjectByWhere(
            "NRSEQSETOPRC = ? AND NRORG = ? AND CDFILIAL = ?",
            array($sequencia, $nrorg, $filial)
        );

        if ($registro instanceof Setoprodcard) {
            $connection = Registry::getEntityManager();
            $connection->beginTransaction();

            $registro->delete();
            $connection->flush();
            $connection->commit();
        }

        return true;
    }

    public static function insereRegistro($sequecia, $produto, $prato, $dieta, $cozinha,
                                          $nrorg, $operInclusao, $dtInclusao, $filial, $idativo){

        $connection = Registry::getEntityManager();
        $connection->beginTransaction();

        $dtInclusao = DateUtil::getDataDeString($dtInclusao, DateUtil::FORMATO_BRASILEIRO_DATAHORA);
        $operUltAtu = Ambiente::getCdOperador();
        $dtUltAtu = DateUtil::getDataAtual();
        $dtUltAtu = DateUtil::getDataDeString($dtUltAtu, DateUtil::FORMATO_BRASILEIRO_DATAHORA);
        $nrorgUltAtu = Ambiente::getNrorg();
        $nrorgInclusao = Ambiente::getNrorg();

        /** @var $registro Setoprodcard */
        $registro = new \Planejamento\Entities\Setoprodcard();
        $registro->inserir($sequecia, $produto, $prato, $dieta, $cozinha, $nrorg, $operInclusao, $dtInclusao,
                           $operUltAtu, $dtUltAtu, $nrorgUltAtu, $nrorgInclusao, $filial, $idativo);

        $connection->flush();
        $connection->commit();


        return true;

    }
}

